3.2. Untertitel und OSD
Zurück | Kapitel 3. Gebrauch | Weiter

## 3.2. Untertitel und OSD

MPlayer kann Untertitel bei Filmen darstellen. Momentan werden die folgenden Formate unterstützt:

- VOBsub

- OGM

- CC (closed caption)

- MicroDVD

- SubRip

- SubViewer

- Sami

- VPlayer

- RT

- SSA

- PJS (Phoenix Japanimation Society)

- MPsub

- AQTitle

- JACOsub

MPlayer kann (außer den ersten drei) die oben gelisteten Zielformate ausgeben (speichern), und zwar mit folgenden Optionen:

- MPsub: `-dumpmpsub`

- SubRip: `-dumpsrtsub`

- MicroDVD: `-dumpmicrodvdsub`

- JACOsub: `-dumpjacosub`

- Sami: `-dumpsami`

MEncoder kann DVD-Untertitel im VOBsub-Format ausgeben.

Die Kommandozeilenoptionen unterscheiden sich leicht von den anderen Formaten:

VOBsub-Untertitel. VOBsub-Untertitel bestehen aus einer (ein paar Megabyte) großen `.SUB` Datei, und optional `.IDX-` und/oder `.IFO`-Dateien. Wenn du Dateien hast wie ``beispiel.sub``, ``beispiel.ifo`` (optional), oder ``beispiel.idx``, musst du MPlayer die Optionen `-vobsub beispiel [-vobsubid `id`]` übergeben (vollständige Pfadangabe optional). Die Option `-vobsubid` verhält sich wie die Option `-sid` für DVDs, du kannst damit Tracks (Sprachen) wählen. Im Falle, dass `-vobsubid` nicht angegeben wird, wird MPlayer versuchen, auf die Sprachen zurückzugreifen, die mit der Option `-slang` angegeben werden, und sonst auf `langidx` zurückzugreifen, um die Untertitelsprache zu wählen. Schlägt dies fehl, wird es keine Untertitel geben.

Andere Untertitel. Die anderen Formate bestehen aus einer Textdatei, die Zeit-, Platzierungs- und Textinformationen enthält. Gebrauch: Wenn du eine Datei wie ``beispiel.txt`` hast, musst du die Option `-sub `beispiel.txt`` (vollständiger Pfad optional) angeben.

Untertitel-Timing und Platzierung angeben:

`-subdelay `sek``

  Verzögert Untertitel um ``sek`` Sekunden. Kann negativ sein. Dieser Wert wird zum Zeitpositionszähler hinzuaddiert.

`-subfps `RATE``

  Gibt die Frame/sek-Rate der Untertiteldatei (Fließkommazahl) an.

`-subpos `0-100``

  Gibt die Position der Untertitel an.

Wenn du bei Benutzung einer MicroDVD-Untertiteldatei eine zunehmende Verzögerung zwischen Film und Untertiteln feststellst, ist vermutlich die Framerate des Films und die der Untertiteldatei unterschiedlich. Beachte bitte, dass das MicroDVD-Untertitelformat absolute Framenummern nutzt. Daher sollte die Option `-subfps` bei diesem Format verwendet werden. Wenn du dieses Problem auf Dauer beheben willst, musst du die Framerate manuell konvertieren. MPlayer kann diese Konvertierung für dich übernehmen:

    mplayer -dumpmicrodvdsub -fps untertitel_fps -subfps avi_fps -sub untertitel_dateiname dummy.avi

Ausführungen über DVD-Untertitel findest du im Abschnitt DVD.

Zurück | Nach oben | Weiter
3.1. Kommandozeile | Zum Anfang | 3.3. Steuerung/Kontrolle